<div class="container-fluid">
  <form [formGroup]="form" (ngSubmit)="onSubmit()" #formDir="ngForm" novalidate>
    <div class="row">
      <div class="col-10">
        <div class="form-group">
          <div class="input-group">
            <label class="form-control">Discount Name</label>
            <input type="text" class="form-control" placeholder="Name"
                   formControlName="discountName" />
          </div>
          <div *ngIf="form.get('discountName').errors && (form.get('discountName').dirty || form.get('discountName').touched)">
            <span class="text-danger ml-3" *ngIf="form.get('discountName').errors?.required">
              Discount Name is required.
            </span>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-10">
        <div class="form-group">
          <div class="input-group">
            <label class="form-control">No. Of Discount Per Day</label>
            <input type="number" class="form-control" placeholder="No. Of Discount Per Day"
                   formControlName="numberOfDiscountPerDay" />
          </div>
          <div *ngIf="form.get('numberOfDiscountPerDay').errors && (form.get('numberOfDiscountPerDay').dirty || form.get('numberOfDiscountPerDay').touched)">
            <span class="text-danger ml-3" *ngIf="form.get('numberOfDiscountPerDay').errors?.required">
              No. Of Discount Per Day is Required
            </span>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-10">
        <div class="form-group">
          <div class="input-group">
            <label class="form-control">Principal Discount</label>
            <input type="number" class="form-control" placeholder="Principal Discount"
                   formControlName="principalDiscount" />
          </div>
          <div *ngIf="form.get('principalDiscount').errors && (form.get('principalDiscount').dirty || form.get('principalDiscount').touched)">
            <span class="text-danger ml-3" *ngIf="form.get('principalDiscount').errors?.required">
              Principal Discount  is Required
            </span>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-10">
        <div class="form-group">
          <div class="input-group">
            <label class="form-control">Additional Discount</label>
            <input type="number" class="form-control" placeholder="Additional Discount"
                   formControlName="additionalDiscount" />
          </div>
          <div *ngIf="form.get('additionalDiscount').errors && (form.get('additionalDiscount').dirty || form.get('additionalDiscount').touched)">
            <span class="text-danger ml-3" *ngIf="form.get('additionalDiscount').errors?.required">
              Additional Discount  is Required
            </span>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-10">
        <div class="form-group">
          <div class="input-group">
            <label class="form-control">IsActive</label>
            <input type="checkbox" class="form-control" formControlName="isDeleted">
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-8">
        <div class="form-group">
          <button  type="submit" class="btn btn-warning float-left" [disabled]="!form.valid" ><span
            class="fa fa-plus-circle">&nbsp;</span>
            {{mode=='new' ? 'Add' : 'Update'}}  </button>
        </div>
      </div>
    </div>
  </form>
</div>
